package lcsb.mapviewer.converter;

import org.junit.runner.RunWith;
import org.junit.runners.Suite;
import org.junit.runners.Suite.SuiteClasses;

import lcsb.mapviewer.converter.annotation.XmlAnnotationParserTest;
import lcsb.mapviewer.converter.zip.AllZipTests;

@RunWith(Suite.class)
@SuiteClasses({
    AllZipTests.class,
    ColorSchemaReaderTest.class,
    ComplexZipConverterParamsTest.class,
    ComplexZipConverterTest.class,
    OverviewParserTest.class,
    ProjectFactoryTest.class,
    XmlAnnotationParserTest.class,
    ZIndexPopulatorTest.class
})
public class AllTests {

}
