package lcsb.mapviewer.services.interfaces;

import java.util.List;

import lcsb.mapviewer.model.map.kinetics.SbmlFunction;
import lcsb.mapviewer.services.ObjectNotFoundException;

public interface ISbmlFunctionService {

  List<SbmlFunction> getFunctionsByProjectId(final String projectId, final String mapId) throws ObjectNotFoundException;

  SbmlFunction getFunctionById(final String projectId, final int mapId, final int functionId) throws ObjectNotFoundException;

}
